Create a fact-find section Run in API Explorer
Ask AI
POST
/api/v2/fact-find/templates/{factFindTemplate_uuid}/sections
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sections' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1
}
Response examples (201)
{
"uuid": "8d2fdf37-2517-479f-a16a-ecddc3366299",
"created_at": "2026-11-20T16:36:31+00:00",
"updated_at": "2026-11-20T16:36:31+00:00",
"fact_find_template": {
"uuid": "cc83f67f-df36-413e-95ed-67347abe156a",
"created_at": "2026-11-20T16:36:31+00:00",
"updated_at": "2026-11-20T16:36:31+00:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-11-19T16:36:31+00:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "364e54d7-aa98-4f9f-9b69-8614732e1aed",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
}
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "5124ad2c-6869-4aaa-bd85-d5d1701ec8b9",
"created_at": "2026-11-20T16:36:31+00:00",
"updated_at": "2026-11-20T16:36:31+00:00",
"fact_find_section": {
"uuid": "364e54d7-aa98-4f9f-9b69-8614732e1aed",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
},
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}